National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2016-5730 Detail

Current Description

phpMyAdmin 4.0.x before 4.0.10.16, 4.4.x before 4.4.15.7, and 4.6.x before 4.6.3 allows remote attackers to obtain sensitive information via vectors involving (1) an array value to FormDisplay.php, (2) incorrect data to validate.php, (3) unexpected data to Validator.php, (4) a missing config directory during setup, or (5) an incorrect OpenID identifier data type, which reveals the full path in an error message.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 5.3 MEDIUM
Vector:  CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-updates/2016-06/msg00113.html
http://lists.opensuse.org/opensuse-updates/2016-06/msg00114.html
http://www.securityfocus.com/bid/91379
https://github.com/phpmyadmin/phpmyadmin/commit/27664605b945b13e1d2b71adea822ace2099cc96 Patch
https://github.com/phpmyadmin/phpmyadmin/commit/331c560fbfa0e7d2dce674b5e88e983c5f2a451d Patch
https://github.com/phpmyadmin/phpmyadmin/commit/96e0aa35653ec0c66084a7e9343465e16c1f769b Patch
https://github.com/phpmyadmin/phpmyadmin/commit/b0180f18c828706af3a6800f0fb01a536d3ef8c7 Patch
https://github.com/phpmyadmin/phpmyadmin/commit/cd229d718e8cb4bc8ba32446beaa82d27727b6f0 Patch
https://security.gentoo.org/glsa/201701-32
https://www.phpmyadmin.net/security/PMASA-2016-23/ Patch Vendor Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-200 Information Exposure NIST  

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:phpmyadmin:phpmyadmin:4.0.0
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.2
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.3
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.4
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.4.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.4.2
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.5
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.6
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.7
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.8
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.9
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.2
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.3
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.4
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.5
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.6
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.7
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.8
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.9
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.10
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.11
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.12
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.13
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.14
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.0.10.15
     Show Matching CPE(s)

Configuration 2 ( hide )
 cpe:/a:phpmyadmin:phpmyadmin:4.6.0
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.6.0:alpha1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.6.0:rc1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.6.0:rc2
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.6.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.6.2
     Show Matching CPE(s)

Configuration 3 ( hide )
 cpe:/o:opensuse:leap:42.1
     Show Matching CPE(s)
 cpe:/o:opensuse:opensuse:13.1
     Show Matching CPE(s)
 cpe:/o:opensuse:opensuse:13.2
     Show Matching CPE(s)

Configuration 4 ( hide )
 cpe:/a:phpmyadmin:phpmyadmin:4.4.0
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.1.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.2
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.3
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.4
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.5
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.6
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.6.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.7
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.8
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.9
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.10
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.11
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.12
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.13
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.13.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.14.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15.1
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15.2
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15.3
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15.4
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15.5
     Show Matching CPE(s)
 cpe:/a:phpmyadmin:phpmyadmin:4.4.15.6
     Show Matching CPE(s)


Change History

9 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2016-5730
NVD Published Date:
07/02/2016
NVD Last Modified:
10/30/2018